import { Component, OnInit } from '@angular/core';
import {DomSanitizer} from '@angular/platform-browser';
import { BsModalService } from 'ngx-bootstrap/modal';
import { FramePageComponent } from '../../../../frame/core/page/frame.page';
import { FuncService } from '../../../../../core/service/func.service';
import { VarService } from '../../../../../core/service/var.service';

@Component({
  selector: 'app-face-check-zhongx-page',
  templateUrl: './face-check-zhongx-page.component.html',
  styleUrls: ['./face-check-zhongx-page.component.scss']
})
export class FaceCheckZhongxPageComponent extends FramePageComponent implements OnInit {


  verify_flag : any;
  verifyArr = [
    {value : '', text : '请选择'},
    {value : 1, text : '已审核'},
    {value : 2, text : '未审核'}
  ];

  constructor(private modalService: BsModalService, private san: DomSanitizer) {
    super(modalService, san);
  }

  ngOnInit(): void {
  }

  export() {
    FuncService.ajaxDownload('zhongx/std/face/check/export.htm');
  }


  requestVideoStd() {
    this.pager.reload({verify_flag: this.verify_flag});
  }
  

}
